Debian Bug report logs - #432851
cdbs: Please add support for dh_icons

version graph

Package: cdbs; Maintainer for cdbs is CDBS Hackers <build-common-hackers@lists.alioth.debian.org>; Source for cdbs is src:cdbs.

Reported by: Josselin Mouette <joss@debian.org>

Date: Thu, 12 Jul 2007 13:12:01 UTC

Severity: wishlist

Tags: moreinfo

Found in version cdbs/0.4.49

Fixed in version cdbs/0.4.52

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdbs: Please add support for dh_icons
Date: Thu, 12 Jul 2007 15:08:49 +0200
Package: cdbs
Version: 0.4.49
Severity: wishlist

Hi,

please make gnome.mk launch dh_icons if it is available. This way we can 
have support for icon caches in all GNOME packages. It would be nice to 
have it soon enough in the release cycle so that everything is ready for 
the lenny release.

Thanks,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.



Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 432851@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Josselin Mouette <joss@debian.org>, 432851@bugs.debian.org
Subject: Re: [Build-common-hackers] Bug#432851: cdbs: Please add support for dh_icons
Date: Thu, 12 Jul 2007 16:26:52 +0200
Am Donnerstag, 12. Juli 2007 15:08 schrieb Josselin Mouette:
> please make gnome.mk launch dh_icons if it is available. This way we can
> have support for icon caches in all GNOME packages. It would be nice to
> have it soon enough in the release cycle so that everything is ready for
> the lenny release.

Shouldn't dh_icons add a dependency on libgtk2.0-bin to ${misc:Depends}?

And how does this interact with non-GNOME environments, e.g., KDE?



Tags added: moreinfo Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Wed, 18 Jul 2007 10:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 432851@bugs.debian.org (full text, mbox):

From: Steffen Joeris <steffen.joeris@skolelinux.de>
To: Cesare Tirabassi <norsetto@ubuntu.com>, 449057@bugs.debian.org
Cc: 432851@bugs.debian.org
Subject: Re: Bug#449057: iconcache in kde
Date: Sun, 4 Nov 2007 00:41:14 +1100
[Message part 1 (text/plain, inline)]
Hi Peter

Below is the text from one of my bugreports against a package, which of course 
uses cdbs. It seems that dh_icons should be called by debhelper.mk or not?
In any case, there should be no need to do it manually in my debian/rules 
file, when I use cdbs :) Thus I let you guys figure that out ;)

Cheers
Steffen

On Sat, 3 Nov 2007 11:14:51 pm Cesare Tirabassi wrote:
> Hi there,
>
> though I'd jump on this one.
>
> You are totally right, for the time being there is no need for dh_icons in
> KDE, for the simple fact that kde doesn't (yet) implement an iconcache.
> This is however one of the features of KDE 4.0 (its already implemented in
> the current beta with the KPixmapCache Class).
>
> Having said that, note that you need to call gtk-update-icon-cache for any
> application (Qt included) that installs icons in a freedesktop compliant
> manner, to show correctly in the Gnome desktop, so it seems to me that the
> question raised by James is still a fair question.
>
> Cesare


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 432851@bugs.debian.org (full text, mbox):

From: Steffen Joeris <steffen.joeris@skolelinux.de>
To: 432851@bugs.debian.org
Subject: dh_icons
Date: Sun, 4 Nov 2007 00:45:44 +1100
[Message part 1 (text/plain, inline)]
Here another thing I forgot to forward:

>So what, if I do not have libgtk2.0-bin installed, because I use 
>let's say a KDE desktop?

Being a KDE user myself, and therefore not having libgtk2.0-bin myself 
installed, I can tell you that using dh_icons has no effect whatsoever on my 
installation.
This is simply because in the postinst and postrm scripts 
gtk-update-icon-cache is not called (its branched by a which 
gtk-update-icon-cache check).


I still have no idea, how KDE will handle the caching though.

Cheers
Steffen
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 449057 added: 432851 Request was from Steffen Joeris <steffen.joeris@skolelinux.de> to control@bugs.debian.org. (Sun, 04 Nov 2007 06:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #29 received at 432851@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Steffen Joeris <steffen.joeris@skolelinux.de>, 432851@bugs.debian.org
Subject: Re: [Build-common-hackers] Bug#432851: dh_icons
Date: Sun, 4 Nov 2007 16:22:34 +0100
Steffen Joeris wrote:
> Here another thing I forgot to forward:
> >So what, if I do not have libgtk2.0-bin installed, because I use
> >let's say a KDE desktop?
>
> Being a KDE user myself, and therefore not having libgtk2.0-bin
> myself installed, I can tell you that using dh_icons has no effect
> whatsoever on my installation.

This still seems like a misdesign.  Why should all packages in Debian 
have to be adjusted to accomodate GTK/GNOME?  Next, other desktop 
environments will perhaps implement icon caching as well, and then we 
will have two or three different possible calls to add to the postinst.  
What is the benefit that the package itself will receive by adding this 
call?





Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #34 received at 432851@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Steffen Joeris <steffen.joeris@skolelinux.de>
Cc: 432851@bugs.debian.org
Subject: Re: dh_icons
Date: Sun, 13 Jan 2008 13:13:07 +0100
[Message part 1 (text/plain, inline)]
On dim, 2007-11-04 at 00:45 +1100, Steffen Joeris wrote: 
> Here another thing I forgot to forward:
> 
> >So what, if I do not have libgtk2.0-bin installed, because I use 
> >let's say a KDE desktop?
> 
> Being a KDE user myself, and therefore not having libgtk2.0-bin myself 
> installed, I can tell you that using dh_icons has no effect whatsoever on my 
> installation.
> This is simply because in the postinst and postrm scripts 
> gtk-update-icon-cache is not called (its branched by a which 
> gtk-update-icon-cache check).
> 
> I still have no idea, how KDE will handle the caching though.

Simple: the cache is a cross-desktop specification that doesn’t care for
the implementation. Therefore update-icon-caches was written from the
very beginning with the idea it could be managed by the alternatives
system. If the KDE guys write an implementation, we just need to
synchronize an upload.

This should not in any way prevent its use in gnome.mk which *badly*
needs dh_icons.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 459261 added: 432851 Request was from Tim Retout <tim@retout.co.uk> to control@bugs.debian.org. (Sun, 13 Jan 2008 23:48:04 GMT) Full text and rfc822 format available.

Blocking bugs of 432851 added: 460504 Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2008 10:24:06 GMT) Full text and rfc822 format available.

Blocking bugs of 460449 added: 432851 Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Sun, 03 Feb 2008 01:30:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Message #43 received at 432851@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Josselin Mouette <joss@debian.org>, 432851@bugs.debian.org
Cc: Steffen Joeris <steffen.joeris@skolelinux.de>
Subject: Re: Bug#432851: dh_icons
Date: Sun, 9 Mar 2008 16:30:07 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 13, 2008 at 01:13:07PM +0100, Josselin Mouette wrote:
> Simple: the cache is a cross-desktop specification that doesn’t care for
> the implementation. Therefore update-icon-caches was written from the
> very beginning with the idea it could be managed by the alternatives
> system. If the KDE guys write an implementation, we just need to
> synchronize an upload.
> 
> This should not in any way prevent its use in gnome.mk which *badly*
> needs dh_icons.

Could you please get together and add this at least to gnome.mk?  It
hurts Gnome users resulting in application crashes.  (Now I don't agree
neither that applications should crash upon missing icons, but still
it is the case with e.g. f-spot.)

The icon caches already *get* generated, so not updating them is wrong.

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                             Debian Developer
: :' :  http://philkern.de                       Debian Release Assistant
`. `'   xmpp:phil@0x539.de
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #48 received at 432851@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 432851@bugs.debian.org, Steffen Joeris <steffen.joeris@skolelinux.de>
Subject: Re: Bug#432851: dh_icons
Date: Sun, 09 Mar 2008 16:41:56 +0100
[Message part 1 (text/plain, inline)]
Le dimanche 09 mars 2008 à 16:30 +0100, Philipp Kern a écrit :
> On Sun, Jan 13, 2008 at 01:13:07PM +0100, Josselin Mouette wrote:
> > This should not in any way prevent its use in gnome.mk which *badly*
> > needs dh_icons.
> 
> Could you please get together and add this at least to gnome.mk?  It
> hurts Gnome users resulting in application crashes.  (Now I don't agree
> neither that applications should crash upon missing icons, but still
> it is the case with e.g. f-spot.)

Please report bugs about applications that crash. The expected behavior
in this case is a missing icon.

> The icon caches already *get* generated, so not updating them is wrong.

In fact they only get generated if you install icons by hand or in
Ubuntu packages, but this is already a big issue indeed.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Message #51 received at 432851@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: Philipp Kern <pkern@debian.org>, 432851@bugs.debian.org, 459261@bugs.debian.org
Subject: Re: Bug#432851: dh_icons
Date: Sun, 9 Mar 2008 18:38:30 +0100
[Message part 1 (text/plain, inline)]
On Sun, Mar 09, 2008 at 04:41:56PM +0100, Josselin Mouette wrote:
> > > This should not in any way prevent its use in gnome.mk which *badly*
> > > needs dh_icons.
> > Could you please get together and add this at least to gnome.mk?  It
> > hurts Gnome users resulting in application crashes.  (Now I don't agree
> > neither that applications should crash upon missing icons, but still
> > it is the case with e.g. f-spot.)
> Please report bugs about applications that crash. The expected behavior
> in this case is a missing icon.

This is already reported as #459261, blocked by this bug.  Its severity
is wishlist, though.

> > The icon caches already *get* generated, so not updating them is wrong.
> In fact they only get generated if you install icons by hand or in
> Ubuntu packages, but this is already a big issue indeed.

The packages installed on my machine which call dh_icons (just postinst)
and thus call gtk-update-icon-cache if present:

gimp-data.postinst:# Automatically added by dh_icons
glipper.postinst:# Automatically added by dh_icons
gthumb-data.postinst:# Automatically added by dh_icons
libdjvulibre15.postinst:# Automatically added by dh_icons
openoffice.org-common.postinst:# Automatically added by dh_icons
sauerbraten.postinst:# Automatically added by dh_icons
vinagre.postinst:# Automatically added by dh_icons

But this caching problem shows me the reason of missing icons in the
menu, too...  and when it "fixed" itself...

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                             Debian Developer
: :' :  http://philkern.de                       Debian Release Assistant
`. `'   xmpp:phil@0x539.de
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 471654 added: 432851 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 20 Mar 2008 14:15:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#432851; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <petere@debian.org>:
Extra info received and forwarded to list. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #58 received at 432851@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: control@bugs.debian.org
Cc: 432851@bugs.debian.org, 439747@bugs.debian.org, 449469@bugs.debian.org, 456290@bugs.debian.org, 457046@bugs.debian.org, 466259@bugs.debian.org
Subject: setting package to cdbs, tagging 457046, tagging 432851, tagging 439747, tagging 456290 ... ...
Date: Fri, 28 Mar 2008 18:01:44 +0100
# Automatically generated email from bts, devscripts version 2.10.18.1
#
# cdbs (0.4.52) UNRELEASED; urgency=low
#
#  * Clean up debian/patched when using tarball.mk, to clean up after dpatch.mk
#    (patch by Dmitry E. Oboukhov) (tarball.mk) (closes: #456290)
#  * Added DEB_AUTOMAKE_ARGS variable (autotools-files.mk) (closes: #439747)
#  * Added dh_icons call to GNOME class (gnome.mk) (closes: #432851)
#  * Added standard patch system targets "patch" and "unpatch"
#    (dpatch.mk, simple-patchsys.mk) (closes: #466259)
#  * Added variables DEB_DH_GENCONTROL_ARGS_{ALL,<package>} (debhelper.mk)
#    (closes: #457046)
#  * cdbs-edit-patch: ignore *.orig and *~ (closes: #449469) 

package cdbs
tags 457046 + pending
tags 432851 + pending
tags 439747 + pending
tags 456290 + pending
tags 466259 + pending
tags 449469 + pending





Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Fri, 28 Mar 2008 17:03:10 GMT) Full text and rfc822 format available.

Blocking bugs of 473029 added: 432851 Request was from "Heikki Henriksen" <heikkih@gmail.com> to control@bugs.debian.org. (Mon, 31 Mar 2008 20:06:09 GMT) Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 432851-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 432851-close@bugs.debian.org
Subject: Bug#432851: fixed in cdbs 0.4.52
Date: Tue, 01 Apr 2008 10:02:12 +0000
Source: cdbs
Source-Version: 0.4.52

We believe that the bug you reported is fixed in the latest version of
cdbs, which is due to be installed in the Debian FTP archive:

cdbs_0.4.52.dsc
  to pool/main/c/cdbs/cdbs_0.4.52.dsc
cdbs_0.4.52.tar.gz
  to pool/main/c/cdbs/cdbs_0.4.52.tar.gz
cdbs_0.4.52_all.deb
  to pool/main/c/cdbs/cdbs_0.4.52_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 432851@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated cdbs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 01 Apr 2008 11:45:35 +0200
Source: cdbs
Binary: cdbs
Architecture: source all
Version: 0.4.52
Distribution: unstable
Urgency: low
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 cdbs       - common build system for Debian packages
Closes: 380614 432851 434774 439747 443825 448507 449469 456290 457046 466259 467570
Changes: 
 cdbs (0.4.52) unstable; urgency=low
 .
   [ Jonas Smedegaard ]
   * Bump python-central build-dependency to >= 0.6 in python-distutils class.
 .
   [ Peter Eisentraut ]
   * Clean up debian/patched when using tarball.mk, to clean up after dpatch.mk
     (patch by Dmitry E. Oboukhov) (tarball.mk) (closes: #456290)
   * Fixed/updated doc-base section
   * Added DEB_AUTOMAKE_ARGS variable (autotools-files.mk) (closes: #439747)
   * Added dh_icons call to GNOME class (gnome.mk) (closes: #432851)
   * Added standard patch system targets "patch" and "unpatch"
     (dpatch.mk, simple-patchsys.mk) (closes: #466259)
   * Added variables DEB_DH_GENCONTROL_ARGS_{ALL,<package>} (debhelper.mk)
     (closes: #457046)
   * Changed control fields XS-Vcs-* to Vcs-*
   * cdbs-edit-patch: ignore *.orig and *~ (closes: #449469)
   * Added call to dh_lintian if available (debhelper.mk) (closes: #467570)
   * Documented a particular issue with debug packages affecting DEB_DESTDIR
     (closes: #380614)
   * Run dh_installmime after dh_install (debhelper.mk) (closes: #443825)
   * Corrected incorrect example about binary/foo targets (closes: #448507)
   * Fixed tarball stamp file name generation so it works with tarballs in
     subdirectories (tarball.mk) (closes: #434774)
Files: 
 de0631e1d8237137ac90bf0d7403bb90 920 devel optional cdbs_0.4.52.dsc
 328f1237d422455f6e724a07538a6b3b 201475 devel optional cdbs_0.4.52.tar.gz
 b3194ae5f500b00b74154f0172ac86d9 921306 devel optional cdbs_0.4.52_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH8gXNTTx8oVVPtMYRAhqRAJ9C3JpoceJrG7APJKYgv4f8H5YatwCgk4bj
Yi/XYnz5Fqdhp+j0cSLUuqM=
=w4ap
-----END PGP SIGNATURE-----





Blocking bugs of 460449 removed: 432851 Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Fri, 04 Apr 2008 19:00:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 May 2008 07:49:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:03:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.